if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tbPreference]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbPreference] (
		[PreferenceId] [int] IDENTITY(1,1) PRIMARY KEY
		,[PreferenceCode] [VARCHAR] (20) NOT NULL
		,[PreferenceDescription] [VARCHAR] (1000) NOT NULL
	) ON [PRIMARY]

	INSERT INTO tbPreference
	(PreferenceCode, PreferenceDescription)
	SELECT 'MaskPasswords',     'Mask passwords when viewing secrets'
	
	INSERT INTO tbPreference
	(PreferenceCode, PreferenceDescription)
	SELECT 'SendEmailOnChange', 'Send email alerts when secrets are changed'
END
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tbUserPreference]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbUserPreference] (
		[UserPreferenceId] [int] IDENTITY(1,1) PRIMARY KEY
		,[UserId] [INT] NOT NULL REFERENCES [dbo].[tbUser]([UserId])
		,[PreferenceId] [INT] NOT NULL REFERENCES [dbo].[tbPreference]([PreferenceId])
	) ON [PRIMARY]

END
GO

