<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Page language="c#" Codebehind="GroupEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.GroupEdit" %>
<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="GroupEditDialog" runat="server" Caption="Group Edit">
	<table>
		<tr>
			<td>
				<thycotic:fieldlabel id="GroupNameFieldLabel" runat="server" text="Group Name"></thycotic:fieldlabel></td>
			<td>
				<thycotic:requiredfieldvalidator id="GroupNameTextBoxValidator" runat="server" errormessage="Please enter a Group Name."
					controltovalidate="GroupNameTextBox"></thycotic:requiredfieldvalidator></td>
			<td>
				<thycotic:textbox id="GroupNameTextBox" runat="server"></thycotic:textbox></td>
		</tr>
		<tr>
			<td>
				<thycotic:fieldlabel id="EnabledFieldLabel" runat="server" text="Enabled"></thycotic:fieldlabel></td>
			<td>&nbsp;</td>
			<td>
				<thycotic:checkbox id="EnabledCheckBox" runat="server" Checked="True"></thycotic:checkbox>
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<table border="0" cellpadding="20px" cellspacing="0">
					<tr>
						<td valign="top" width="150px">
							<h4><asp:Literal runat="server" id="MembersLiteral" text="Members" /></h4>
							<thycotic:listbox id="MembersListBox" rows="10" selectionmode="multiple" runat="server" style="width:100%;" />
						</td>
						<td>
							<thycotic:button id="MoveAlltoMembers" runat="server" style="width:75px" text="<<--"/>
							<br />
							<thycotic:button id="MoveToMembers" runat="server" style="width:75px" text="<--"/>
							<br />
							<thycotic:button id="RemoveFromMembers" runat="server" style="width:75px" text="-->"/>
							<br />
							<thycotic:button id="RemoveAllFromMembers" runat="server" style="width:75px" text="-->>"/>
						</td>
						<td valign="top" width="150px">
							<h4><asp:Literal runat="server" id="UsersLiteral" text="All Users" /></h4>
							<thycotic:listbox id="AllUsersListBox" rows="10" selectionmode="multiple" runat="server" style="width:100%;" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<thycotic:button id="SaveButton" runat="server" text="Save"></thycotic:button>
				<thycotic:button id="CancelButton" runat="server" text="Cancel" causesvalidation="false"></thycotic:button>
			</td>
		</tr>
	</table>
	<thycotic:businessvalidator id="NameRequiredBusinessValidator" runat="server"></thycotic:businessvalidator>
	</custom:NewDialog>	
	
<script language="javascript">
addOnLoad(function() { var textbox = document.getElementById("GroupNameTextBox"); if (textbox != null) textbox.focus(); });
</script>
</ihawu:masterpage>
