<%@ Page language="c#" Codebehind="IPAddresses.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.IPAddresses" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="NumberOfUsersLicenses" src="~/usercontrols/NumberOfUsersLicenses.ascx" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<ihawu:masterpage id="masterPage" runat="server">

	<custom:NewDialog id="IPAddressesDialog" runat="server" visible="true" Caption="IP Address Ranges">
		<br/>
		<thycotic:datagrid id="IPAddressesDataGrid" runat="server" itemsname="IP Address Ranges" >
			<columns>
				<asp:templatecolumn sortexpression="Name" headertext="IP Address User/Network Name">
					<itemtemplate>
						<thycotic:hyperlink  runat="server" Id="NameHyperlink">
							<thycotic:label id="NameLabel" runat="server" />
						</thycotic:hyperlink>
					</itemtemplate>
				</asp:templatecolumn>		
				<asp:templatecolumn sortexpression="StartIP" headertext="Start IP Address">
					<itemtemplate>
						<thycotic:label id="StartIPLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>		
				<asp:templatecolumn sortexpression="EndIP" headertext="End IP Address">
					<itemtemplate>
						<thycotic:label id="EndIPLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>		
			 </columns>
		</thycotic:datagrid>
		<p style="margin:20px 0 0 0"></p>
		<thycotic:button id="BackButton" runat="server" text="Back"/>
		<thycotic:button id="CreateNewIPAddressButton" text="Create New" runat="server" />
	</custom:NewDialog>
</ihawu:masterpage>