IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = 'Password'
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON

	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT 2, 'Password'		, '1b801709-cd13-41f2-9ef8-74048d663612'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	SELECT 7, 'Password', 'Password', 1, 2, 1, 'string' 		,1, 1, '9c3f389a-26f2-477f-98e8-d033a402e555' UNION
	SELECT 8, 'Notes'   , 'Notes'   , 2, 2, 0, 'string'			,0, 0, '0ababe52-3e41-4439-827e-6b4cffc5c932'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END
