if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tbConfiguration]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	DROP TABLE [dbo].[tbConfiguration];
	CREATE TABLE [dbo].[tbConfiguration] (
		[ConfigurationId] [int] NOT NULL
		,[AllowRememberMe] [bit] NOT NULL DEFAULT (1)
		,[AllowAutoComplete] [bit] NOT NULL DEFAULT (1)
		,[MaxLoginFailures] [int] NOT NULL DEFAULT (5)
		,[SmtpServer] [varchar] (200) NOT NULL DEFAULT ('')
		,[FromEmailAddress] [varchar] (200) NOT NULL DEFAULT ('')
	) ON [PRIMARY]

	ALTER TABLE [dbo].[tbConfiguration] WITH NOCHECK ADD 
		CONSTRAINT [PK_Configuration] PRIMARY KEY  CLUSTERED 
		(
			[ConfigurationId]
		)  ON [PRIMARY] 
END
GO

if NOT EXISTS (SELECT * FROM tbConfiguration)
BEGIN
	INSERT INTO tbConfiguration VALUES (1, 1, 1, 5, '', '')
END